* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "General Sans";
}
html,
body {
  width: 100%;
  height: 100%;

}

#minicircle{
    transition:  all cubic-bezier(0.19, 1, 0.22, 1) 1s;
    position: absolute;
    width: 20px;
    height: 20px;
    background-color: #fff;
    border-radius: 50%;
    z-index: 999;
    mix-blend-mode: difference;
}

#main {
  background-color:  rgb(16, 16, 16) ;
  width: 100%; 
 
}
#hero {
  position: relative;
  width: 100%;
  height: 100vh;
  background-color: rgb(16, 16, 16);
  color: #ffffff;
}
#nav {
  border: 2px solid #baccbb;
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  padding: 20px 40px;
  color: #fff;
  
}
#nav a {
  color: #fff;
  text-decoration: none;
  font-size: 18px;
}
#side {
  background-color: #999;
  z-index: 10;
  position: fixed;
  right: 0; 
  top: 5%;
}
#side svg{
  display: block;
}

#heading {
  margin-top: 90px;
}
.bounding{
    width: fit-content;
    overflow: hidden;
}
.bounding .boundinglm{
    transform:  translateY(100%);
}
#heading h1 {
  margin-left: 30px;
  opacity: 0.6;
  line-height: 1;
  font-size: 10vw;
  text-transform: uppercase;
  font-weight: 900;
}

#heading #secondh1 {
  margin-left: 19vh;
}
.blocktext {
    display: flex;
    flex-direction: column;
    align-items: end;
    width: fit-content;
}
.blocktext h5 {
  text-transform: uppercase;
  font-size: 15px;
  text-align: right !important;
}
#shortheading {
    display: flex;
    flex-direction: column;
    align-items: end;
  margin-top: 100px;
  padding-right: 30px;
}
#shortheading h5 {
  text-transform: uppercase;
  margin-top: 0.5vw;
  font-size: 1vw;
  text-align: right;
}
#herofooter {
  padding: 0 1vw; /* top bottom, right left*/
  width: 100%;
  position: absolute;
  bottom: 3%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
#herofooter a {
  color: #fff;
  text-decoration: none;
  text-transform: uppercase;
  font-weight: 400;
  font-size: 16px;
}

#herofooter #iconset {
  display: flex;
  gap: 10px;
  opacity: 0.5;
}
#herofooter .circle {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 25px;
  height: 25px;
  font-size: 30px;
  border-radius: 50%;
}
#second {
  padding-right: 10vw;
  padding-top: 150px;
  width: 100%;
  height: 100vh;
  background-color: rgb(16, 16, 16);
  color: #fff;
}
.elem {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  padding: 3.5vw 3vw;
  padding-right: 0;
  border-top: 1px solid #888;
}
.elem h1 {
  font-size: 7.5vw;
  opacity: 0.7;
  text-transform: uppercase;
}
.elemlast {
  border-bottom: 1px solid #888;
}
.elem img {
  opacity: 0;
  height: 120%;
  position: absolute;
  z-index: 99;
}
#about {
  margin-top: 100px;
  padding: 10vw 5vw;
  padding-left: 40vw;
  width: 100%;
  background-color: rgb(16, 16, 16);
  color: #fff;
  display: flex;
  align-items: center;
  gap: 60px;
}
#textabout {
  width: 25rem;
}
#textabout h5 {
  text-transform: uppercase;
  opacity: 0.6;
  margin-bottom: 10px;
}
#textabout p {
  line-height: 1.7;
  font-size: 20px;
  margin-bottom: 30px;
}
#about img {
  width: 300px;
}
#textabout a {
  padding: 12px 12px;
  border: 1px solid #fff;
  border-radius: 100px;
  font-size: 12px;
  font-weight: 400;
  text-decoration: none;
  color: #fff;
}
#textabout a:hover{
  background-color: #fff;
  color: black;
  border: 1px solid rgb(40, 37, 37);
}
#subscribe {
  background-color: rgb(16, 16, 16);
  padding: 20px 30px;
  padding-bottom: 7vw;
  color: #fff;
  width: 100%;
}
#subscribe h5 {
  text-transform: uppercase;
  opacity: 0.6;
}
#subscribe h3 {
  text-transform: uppercase;
  font-size: 14px;
  margin-top: 10px;
}
#footer {
  width: 100%;
  background-color: rgb(16, 16, 16);
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 40px 30px;
  color: #fff;
}
#footer-left {
  display: flex;
  gap: 20px;
}
#footer-right {
  display: flex;
  gap: 30px;
}
#footer a {
  color: #fff;
  text-decoration: none;
  font-size: 14px;
  font-weight: 500;
  text-transform: uppercase;
}
@media (max-width: 600px) {
 
  #hero{
    width: 100%;
  }
  #heading{
    margin-top: 150px;
  }

#shortheading h5 {
  font-size: 3vw;
  
}
#herofooter a {
  font-size: 2.5vw;
}
  #second{
    width: 100%;
  }
  .elem {
    width: 100%;
    height: 20vh;
  }
  .elem h1 {
    font-size: 5.5vw;
  }
  
  #about{
    margin-top: 50px;
    flex-direction: column;
    width: 100%;
    padding: 5vw 3vw ;
  }
  #about img{
    width: 100px;
  }
  #textabout{
   width: 15rem;
   text-align: left;
   display: flex;
   flex-wrap: wrap;
  }
  #textabout p{
  font-size: 12px;
  color: #fff;
 
  }
  #footer {
    width: 100%;
    height: auto;
 
  }
  #footer-left {
    display: flex;
    gap: 5px;
    flex-wrap: wrap;
  }
  #footer-right {
    display: flex;
    gap: 20px;
  }
  #footer a {
    font-size: 2.5vw; 
    }
   #side {
      position: fixed;
      right: 0; 
      top: 5%;
    }
}
   
 